Subject: Re: [PATCH] net: add ability to clear stats via ethtool - e1000/pcnet32

From: Alan Cox <[email-masked]>
Date: Tue, 3 Jun 2008 15:46:02 +0100

> Also, I'd like to point out that the "stepping on other peoples toes" 
> argument is a bogus one, since most major network vendors include this 
> ability, and it's not exactly a concern now.

I used to work in a large ISP - it was a huge concern then and was
enforced and managed by the less effective 'do you like your kneecaps'
approach to permissions.

Its basically impossible to write a correct non-racy application which
zeros kernel statistics and then measures the change, because you cannot
know another application did the same while you were running.

This is the most basic and blindingly obvious stuff. You should not be
able to zero the kernel stats just because you can't work perl.

Alan